Subject: bug#59206: closed (Re: bug#59206: rmail-summary-apply-filters-consecutively causes wrong-type-argument error)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 17 May 2024 20:47:02 +0000

Your bug report

#59206: rmail-summary-apply-filters-consecutively causes wrong-type-argument error

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59206: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59206
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59206: rmail-summary-apply-filters-consecutively causes wrong-type-argument error
From: Jakub Ječmínek <[email-masked]>
To: Andrea Monaco <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
Date: Fri, 17 May 2024 20:46:17 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Andrea Monaco <[email-masked]> writes:

> The last patch I sent fixes exactly that (plus it changes the custom
> variable name).  Thanks for testing Nicolas!

I was not able to reproduce the original error so I assume that Andrea's
fix resolved this bug.  I'm therefore closing this.

Best

Subject: rmail-summary-apply-filters-consecutively causes wrong-type-argument error
From: Nicolas Graner <[email-masked]>
To: [email-masked]
Date: Fri, 11 Nov 2022 23:49:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

When the variable rmail-summary-apply-filters-consecutively is non-nil,
if you execute one of the rmail-summary-by-* commands when there is no
existing summary, you get an error.

This is because those commands call
rmail-summary-fill-displayed-messages, which assumes
rmail-summary-buffer is a buffer, but in this case it is nil.

Example (starting from emacs -Q):

C-u M-x rmail [any rmail file]
M-: (setq rmail-summary-apply-filters-consecutively t)<RET>
M-x rmail-summary-from-senders<RET>testing<RET>

Debugger entered--Lisp error: (wrong-type-argument stringp nil)
  rmail-summary-fill-displayed-messages()
  rmail-summary-by-senders("testing")
  funcall-interactively(rmail-summary-by-senders "testing")
  call-interactively(rmail-summary-by-senders record nil)
  command-execute(rmail-summary-by-senders record)
  execute-extended-command(nil "rmail-summary-by-senders" "rmail-summary-by-senders")
  funcall-interactively(execute-extended-command nil "rmail-summary-by-senders" "rmail-summary-by-senders")
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)